## org.apache.commons.collections.set
Class TransformedSortedSet

    java.lang.Object
      org.apache.commons.collections.collection.AbstractCollectionDecorator
          org.apache.commons.collections.collection.AbstractSerializableCollectionDecorator
              org.apache.commons.collections.collection.TransformedCollection
                  org.apache.commons.collections.set.TransformedSet
                      org.apache.commons.collections.set.TransformedSortedSet

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable, java.util.Collection, java.util.Set, java.util.SortedSet

    public class TransformedSortedSet

extends TransformedSet
implements java.util.SortedSet

Decorates another `SortedSet` to transform objects that are added.

The add methods are affected by this class. Thus objects must be removed or searched for using their transformed form. For example, if the transformation converts Strings to Integers, you must use the Integer form to remove objects.

This class is Serializable from Commons Collections 3.1.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.collections.collection.TransformedCollection
`transformer`

Fields inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`collection`

Constructor Summary
`protected` `TransformedSortedSet(java.util.SortedSet set, Transformer transformer)` Constructor that wraps (not copies).

Method Summary
`java.util.Comparator` `comparator()`
`static java.util.SortedSet` `decorate(java.util.SortedSet set, Transformer transformer)` Factory method to create a transforming sorted set.
`java.lang.Object` `first()`
`protected java.util.SortedSet` `getSortedSet()` Gets the decorated set.
`java.util.SortedSet` `headSet(java.lang.Object toElement)`
`java.lang.Object` `last()`
`java.util.SortedSet` `subSet(java.lang.Object fromElement, java.lang.Object toElement)`
`java.util.SortedSet` `tailSet(java.lang.Object fromElement)`

Methods inherited from class org.apache.commons.collections.set.TransformedSet
`decorate`

Methods inherited from class org.apache.commons.collections.collection.TransformedCollection
`add, addAll, decorate, transform, transform`

Methods inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`clear, contains, containsAll, equals, getCollection, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### TransformedSortedSet

    protected TransformedSortedSet(java.util.SortedSet set,
                                   Transformer transformer)

  Constructor that wraps (not copies).

  If there are any elements already in the set being decorated, they are NOT transformed.

  Parameters:
    `set` - the set to decorate, must not be null
    `transformer` - the transformer to use for conversion, must not be null
  Throws:
    `java.lang.IllegalArgumentException` - if set or transformer is null

Method Detail

### decorate

    public static java.util.SortedSet decorate(java.util.SortedSet set,
                                               Transformer transformer)

  Factory method to create a transforming sorted set.

  If there are any elements already in the set being decorated, they are NOT transformed.

  Parameters:
    `set` - the set to decorate, must not be null
    `transformer` - the transformer to use for conversion, must not be null
  Throws:
    `java.lang.IllegalArgumentException` - if set or transformer is null

### getSortedSet

    protected java.util.SortedSet getSortedSet()

  Gets the decorated set.

  Returns:
    the decorated set

### first

    public java.lang.Object first()

  Specified by:
    `first` in interface `java.util.SortedSet`

### last

    public java.lang.Object last()

  Specified by:
    `last` in interface `java.util.SortedSet`

### comparator

    public java.util.Comparator comparator()

  Specified by:
    `comparator` in interface `java.util.SortedSet`

### subSet

    public java.util.SortedSet subSet(java.lang.Object fromElement,
                                      java.lang.Object toElement)

  Specified by:
    `subSet` in interface `java.util.SortedSet`

### headSet

    public java.util.SortedSet headSet(java.lang.Object toElement)

  Specified by:
    `headSet` in interface `java.util.SortedSet`

### tailSet

    public java.util.SortedSet tailSet(java.lang.Object fromElement)

  Specified by:
    `tailSet` in interface `java.util.SortedSet`

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.